std::__profile Namespace Reference

## Classes

class | bitset
class | deque
class | forward_list
class | list
class | map
class | multimap
class | multiset
class | set
class | unordered_map
class | unordered_multimap
class | unordered_multiset
class | unordered_set

## Functions

template<typename _UnorderedCont , typename _Value , bool _Cache_hash_code>
bool | __are_equal (const _UnorderedCont &__uc, const __detail::_Hash_node< _Value, _Cache_hash_code > *__lhs, const __detail::_Hash_node< _Value, _Cache_hash_code > *__rhs)
template<typename _UnorderedCont , typename _Value , bool _Cache_hash_code>
std::size_t | __get_bucket_index (const _UnorderedCont &__uc, const __detail::_Hash_node< _Value, _Cache_hash_code > *__node)
template<typename _Iterator , typename _Sequence >
bool | operator!= (const __iterator_tracker< _Iterator, _Sequence > &__lhs, const __iterator_tracker< _Iterator, _Sequence > &__rhs) noexcept
template<typename _IteratorL , typename _IteratorR , typename _Sequence >
bool | operator!= (const __iterator_tracker< _IteratorL, _Sequence > &__lhs, const __iterator_tracker< _IteratorR, _Sequence > &__rhs) noexcept
template<typename _Tp , typename _Alloc >
bool | operator!= (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator!= (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator!= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator!= (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator!= (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator!= (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator!= (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | operator!= (const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | operator!= (const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
bool | operator!= (const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__x, const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Hash , typename _Pred , typename _Alloc >
bool | operator!= (const unordered_set< _Key, _Hash, _Pred, _Alloc > &__x, const unordered_set< _Key, _Hash, _Pred, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
bool | operator!= (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<size_t _Nb>
bitset< _Nb > | operator& (const bitset< _Nb > &__x, const bitset< _Nb > &__y) noexcept
template<typename _Iterator , typename _Sequence >
__iterator_tracker< _Iterator, _Sequence > | operator+ (typename __iterator_tracker< _Iterator, _Sequence >::difference_type __n, const __iterator_tracker< _Iterator, _Sequence > &__i) noexcept
template<typename _Iterator , typename _Sequence >
__iterator_tracker< _Iterator, _Sequence >::difference_type | operator- (const __iterator_tracker< _Iterator, _Sequence > &__lhs, const __iterator_tracker< _Iterator, _Sequence > &__rhs) noexcept
template<typename _IteratorL , typename _IteratorR , typename _Sequence >
__iterator_tracker< _IteratorL, _Sequence >::difference_type | operator- (const __iterator_tracker< _IteratorL, _Sequence > &__lhs, const __iterator_tracker< _IteratorR, _Sequence > &__rhs) noexcept
template<typename _Iterator , typename _Sequence >
bool | operator< (const __iterator_tracker< _Iterator, _Sequence > &__lhs, const __iterator_tracker< _Iterator, _Sequence > &__rhs) noexcept
template<typename _IteratorL , typename _IteratorR , typename _Sequence >
bool | operator< (const __iterator_tracker< _IteratorL, _Sequence > &__lhs, const __iterator_tracker< _IteratorR, _Sequence > &__rhs) noexcept
template<typename _Tp , typename _Alloc >
bool | operator< (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator< (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator< (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator< (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator< (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator< (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator< (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator< (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _CharT , typename _Traits , size_t _Nb>
std::basic_ostream< _CharT, _Traits > & | operator<< (std::basic_ostream< _CharT, _Traits > &__os, const bitset< _Nb > &__x)
template<typename _Iterator , typename _Sequence >
bool | operator<= (const __iterator_tracker< _Iterator, _Sequence > &__lhs, const __iterator_tracker< _Iterator, _Sequence > &__rhs) noexcept
template<typename _IteratorL , typename _IteratorR , typename _Sequence >
bool | operator<= (const __iterator_tracker< _IteratorL, _Sequence > &__lhs, const __iterator_tracker< _IteratorR, _Sequence > &__rhs) noexcept
template<typename _Tp , typename _Alloc >
bool | operator<= (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator<= (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator<= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator<= (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator<= (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator<= (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator<= (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator<= (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _Iterator , typename _Sequence >
bool | operator== (const __iterator_tracker< _Iterator, _Sequence > &__lhs, const __iterator_tracker< _Iterator, _Sequence > &__rhs) noexcept
template<typename _IteratorL , typename _IteratorR , typename _Sequence >
bool | operator== (const __iterator_tracker< _IteratorL, _Sequence > &__lhs, const __iterator_tracker< _IteratorR, _Sequence > &__rhs) noexcept
template<typename _Tp , typename _Alloc >
bool | operator== (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator== (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator== (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator== (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator== (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator== (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator== (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | operator== (const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | operator== (const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
bool | operator== (const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__x, const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Hash , typename _Pred , typename _Alloc >
bool | operator== (const unordered_set< _Key, _Hash, _Pred, _Alloc > &__x, const unordered_set< _Key, _Hash, _Pred, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
bool | operator== (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _Iterator , typename _Sequence >
bool | operator> (const __iterator_tracker< _Iterator, _Sequence > &__lhs, const __iterator_tracker< _Iterator, _Sequence > &__rhs) noexcept
template<typename _IteratorL , typename _IteratorR , typename _Sequence >
bool | operator> (const __iterator_tracker< _IteratorL, _Sequence > &__lhs, const __iterator_tracker< _IteratorR, _Sequence > &__rhs) noexcept
template<typename _Tp , typename _Alloc >
bool | operator> (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator> (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator> (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator> (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator> (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator> (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator> (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator> (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _Iterator , typename _Sequence >
bool | operator>= (const __iterator_tracker< _Iterator, _Sequence > &__lhs, const __iterator_tracker< _Iterator, _Sequence > &__rhs) noexcept
template<typename _IteratorL , typename _IteratorR , typename _Sequence >
bool | operator>= (const __iterator_tracker< _IteratorL, _Sequence > &__lhs, const __iterator_tracker< _IteratorR, _Sequence > &__rhs) noexcept
template<typename _Tp , typename _Alloc >
bool | operator>= (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator>= (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator>= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator>= (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator>= (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator>= (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator>= (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator>= (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _CharT , typename _Traits , size_t _Nb>
std::basic_istream< _CharT, _Traits > & | operator>> (std::basic_istream< _CharT, _Traits > &__is, bitset< _Nb > &__x)
template<size_t _Nb>
bitset< _Nb > | operator^ (const bitset< _Nb > &__x, const bitset< _Nb > &__y) noexcept
template<size_t _Nb>
bitset< _Nb > | operator| (const bitset< _Nb > &__x, const bitset< _Nb > &__y) noexcept
template<typename _Tp , typename _Alloc >
void | swap (deque< _Tp, _Alloc > &__lhs, deque< _Tp, _Alloc > &__rhs) noexcept(/*conditional */)
template<typename _Tp , typename _Alloc >
void | swap (forward_list< _Tp, _Alloc > &__lx, forward_list< _Tp, _Alloc > &__ly) noexcept(noexcept(__lx.swap(__ly)))
template<typename _Tp , typename _Alloc >
void | swap (list< _Tp, _Alloc > &__lhs, list< _Tp, _Alloc > &__rhs) noexcept(/*conditional */)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
void | swap (map< _Key, _Tp, _Compare, _Allocator > &__lhs, map< _Key, _Tp, _Compare, _Allocator > &__rhs) noexcept(/*conditional */)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
void | swap (multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, multimap< _Key, _Tp, _Compare, _Allocator > &__rhs) noexcept(/*conditional */)
template<typename _Key , typename _Compare , typename _Allocator >
void | swap (multiset< _Key, _Compare, _Allocator > &__x, multiset< _Key, _Compare, _Allocator > &__y) noexcept(/*conditional */)
template<typename _Key , typename _Compare , typename _Allocator >
void | swap (set< _Key, _Compare, _Allocator > &__x, set< _Key, _Compare, _Allocator > &__y) noexcept(/*conditional */)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
void | swap (unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y) noexcept(noexcept(__x.swap(__y)))
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
void | swap (unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y) noexcept(noexcept(__x.swap(__y)))
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
void | swap (unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__x, unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__y) noexcept(noexcept(__x.swap(__y)))
template<typename _Key , typename _Hash , typename _Pred , typename _Alloc >
void | swap (unordered_set< _Key, _Hash, _Pred, _Alloc > &__x, unordered_set< _Key, _Hash, _Pred, _Alloc > &__y) noexcept(noexcept(__x.swap(__y)))
template<typename _Tp , typename _Alloc >
void | swap (vector< _Tp, _Alloc > &__lhs, vector< _Tp, _Alloc > &__rhs) noexcept(/*conditional */)

## Detailed Description

GNU profile code, replaces standard behavior with profile behavior.

## Function Documentation

## operator<=()

template<typename _Tp , typename _Alloc >

bool std::__profile::operator<= | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline

Based on operator<.

Definition at line 201 of file profile/forward_list.

## operator>()

template<typename _Tp , typename _Alloc >

bool std::__profile::operator> | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline

Based on operator<.

Definition at line 188 of file profile/forward_list.

## operator>=()

template<typename _Tp , typename _Alloc >

bool std::__profile::operator>= | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline

Based on operator<.

Definition at line 195 of file profile/forward_list.

## swap()

template<typename _Tp , typename _Alloc >

void std::__profile::swap | ( | forward_list< _Tp, _Alloc > & | __lx,
|  | forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline noexcept

See std::forward_list::swap().

Definition at line 209 of file profile/forward_list.